package aalg.mailer;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.ArrayList;
import java.util.List;

public class Request {
	
	private long sendTime;
	private final List<ICommand> commandList;
	
	public Request() {
		commandList = new ArrayList<>();
	}
	
	public void addCommand(final ICommand command) {
		commandList.add(command);
	}
	
	public void write (final OutputStream stream) {
		
	}
	
	public void read (final InputStream stream) {
		
	}
	
	
}
